Class | Dir
In: | tmpdir.rb
Parent: | Object

tmpdir - retrieve temporary directory path

$Id: tmpdir.rb,v 1.5 2003/07/26 15:38:58 eban Exp $

### Methods

tmpdir

### Public Class methods

tmpdir()

[Source]

    # File tmpdir.rb, line 27
      def Dir::tmpdir
        tmp = '.'
        if $SAFE > 0
          tmp = @@systmpdir
        else
          for dir in [ENV['TMPDIR'], ENV['TMP'], ENV['TEMP'],
                      ENV['USERPROFILE'], @@systmpdir, '/tmp']
            if dir and File.directory?(dir) and File.writable?(dir)
              tmp = dir
              break
            end
          end
        end
        File.expand_path(tmp)
      end

[Validate]